Technical FAQs

Ask a Question

Which version of the client software of DX8100 or DX4600 is compatible with windows 7 ?

DX Series client is compatible with windows 7

DX4500/4600 Client application v1.2 or greater is also compatible with windows 7 and the firmware version must be 1.2 or greater .
 

Was this helpful?
What can we do to improve the information ?